Class Specialization
Filter
Applies a specific function to the input stream.

Pipe

Filter

Pipe<TInput, Filter<TFunctor> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.
TFunctor | A unary function (see STL's unary_function). Remarks: The argument type of TFunctor must be VALUE<TInput>::Type.

Remarks
The output type of this pipe is the result type of TFunctor.
Specialization of
Pipe
Member Functions

Pipe | Constructor
Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51